<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('intercompany_loans', function (Blueprint $table) {
            $table->enum('interest_type', ['simple', 'compound', 'fixed'])->default('simple')->change();
        });
    }

    public function down(): void
    {
        Schema::table('intercompany_loans', function (Blueprint $table) {
            $table->enum('interest_type', ['simple', 'compound'])->default('simple')->change();
        });
    }
};
